Bug 1445925 - [abrt] gimp: pango_ot_info_list_scripts(): gimp-2.8 killed by SIGSEGV
Summary: [abrt] gimp: pango_ot_info_list_scripts(): gimp-2.8 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0714386d5d7aa516245549400f5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 19:49 UTC by Eric L.
Modified: 2018-11-30 20:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:50:45 UTC


Attachments (Terms of Use)
File: backtrace (62.83 KB, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: cgroup (242 bytes, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: core_backtrace (12.94 KB, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: dso_list (12.50 KB, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: environ (2.19 KB, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: exploitable (82 bytes, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: limits (1.29 KB, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: maps (63.60 KB, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: mountinfo (3.41 KB, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: namespaces (102 bytes, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: open_fds (1.01 KB, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
File: var_log_messages (236 bytes, text/plain)
2017-04-26 19:49 UTC, Eric L.
no flags Details
List of installed fonts, one of which is crashing Pango (70.28 KB, text/plain)
2017-05-11 20:12 UTC, Eric L.
no flags Details
February 2018 font list (70.28 KB, text/plain)
2018-02-21 21:23 UTC, Eric L.
no flags Details

Description Eric L. 2017-04-26 19:49:11 UTC
Description of problem:
Every time I open the font menu in Gimp, it crashes. I have a decent number of fonts installed (~200), many of which have special characters in the font name. I believe this is causing Gimp to crash.
Pinta can't render many of the fonts' names, but doesn't crash when its font selection dialog is open.
The LibreOffice renders the font names correctly (and also doesn't crash).

Version-Release number of selected component:
gimp-2.8.20-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        gimp-2.8 /var/www/web/shared/images/griswold_yippee.png
crash_function: pango_ot_info_list_scripts
executable:     /usr/bin/gimp-2.8
global_pid:     12458
kernel:         4.10.10-100.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pango_ot_info_list_scripts at pango-ot-info.c:260
 #1 gimp_font_get_new_preview at gimpfont.c:652
 #3 gimp_viewable_get_preview at gimpviewable.c:741
 #4 gimp_viewable_real_get_new_pixbuf at gimpviewable.c:352
 #5 gimp_viewable_get_pixbuf at gimpviewable.c:911
 #6 gimp_view_renderer_real_render at gimpviewrenderer.c:753
 #7 gimp_view_renderer_real_draw at gimpviewrenderer.c:687
 #8 gimp_view_renderer_draw at gimpviewrenderer.c:606
 #9 gimp_cell_renderer_viewable_render at gimpcellrendererviewable.c:316
 #10 gtk_tree_view_column_cell_process_action at gtktreeviewcolumn.c:2836

Potential duplicate: bug 1231479

Comment 1 Eric L. 2017-04-26 19:49:17 UTC
Created attachment 1274364 [details]
File: backtrace

Comment 2 Eric L. 2017-04-26 19:49:18 UTC
Created attachment 1274365 [details]
File: cgroup

Comment 3 Eric L. 2017-04-26 19:49:20 UTC
Created attachment 1274366 [details]
File: core_backtrace

Comment 4 Eric L. 2017-04-26 19:49:21 UTC
Created attachment 1274367 [details]
File: dso_list

Comment 5 Eric L. 2017-04-26 19:49:22 UTC
Created attachment 1274368 [details]
File: environ

Comment 6 Eric L. 2017-04-26 19:49:23 UTC
Created attachment 1274369 [details]
File: exploitable

Comment 7 Eric L. 2017-04-26 19:49:24 UTC
Created attachment 1274370 [details]
File: limits

Comment 8 Eric L. 2017-04-26 19:49:25 UTC
Created attachment 1274371 [details]
File: maps

Comment 9 Eric L. 2017-04-26 19:49:26 UTC
Created attachment 1274372 [details]
File: mountinfo

Comment 10 Eric L. 2017-04-26 19:49:27 UTC
Created attachment 1274373 [details]
File: namespaces

Comment 11 Eric L. 2017-04-26 19:49:28 UTC
Created attachment 1274374 [details]
File: open_fds

Comment 12 Eric L. 2017-04-26 19:49:30 UTC
Created attachment 1274375 [details]
File: proc_pid_status

Comment 13 Eric L. 2017-04-26 19:49:31 UTC
Created attachment 1274376 [details]
File: var_log_messages

Comment 14 Josef Ridky 2017-04-27 06:14:46 UTC
Hi Eric,

thanks a lot for your bug report. Here is, what I have found, maybe it could help.

From [1]:
---
Another known problem is that Pango 1.2 cannot load fonts that don't provide an Unicode character mapping. (Pango is the text layout library used by GIMP.) A lot of symbol fonts fall into this category. On some systems, using such a font can cause GIMP to crash. Updating to Pango 1.4 will fix this problem and makes symbol fonts available in GIMP.
---

pango-1.40.3 is available for Fedora 24, pango-1.40.5-1 is available for Fedora 25 to rawhide.

Hope it will solve this issue.

[1] https://docs.gimp.org/en/font-problems.html

Comment 15 Eric L. 2017-04-27 17:29:45 UTC
Thanks for the quick response, Josef.

Per the Gimp page, I've checked both the versions of Pango and fontconfig:
Pango is 1.40.3-1
fontconfig is 2.11.94-7

Both FC24 x86_64, of course.

Do you think that pango-1.40.5 fixes the issue, or should FC24's version be new enough?

Comment 16 Josef Ridky 2017-04-28 05:48:26 UTC
(In reply to Eric L. from comment #15)
> Do you think that pango-1.40.5 fixes the issue, or should FC24's version be
> new enough?

I hope the latest pango in Fedora 24 should fix this issue.
Probably better answer could provide pango maintainer in Fedora (@tagoh).

Anyway, due crash is caused by code from pango library, this bugzilla should be probably reported against pango instead of gimp.

tagoh: please tell us, what do you think about this and in case it is issue from pango, please change component of this bugzilla to pango.

Comment 17 Akira TAGOH 2017-05-10 06:59:52 UTC
Is this issue always reproducible?

If so, can you see any difference in the result of the following commands?

$ fc-list > a
$ fc-cache -f
$ fc-list > b
$ diff -u a b

and then does this still happen?

Comment 18 Eric L. 2017-05-11 20:12:23 UTC
Created attachment 1278012 [details]
List of installed fonts, one of which is crashing Pango

Always reproducible, yes.

I've flushed the font cache after installing most of the fonts. I ran the shell commands as prescribed and both the before and after flush are identical.

Attached is the resulting font list, if that's of any interest.

Comment 19 Fedora End Of Life 2017-07-26 00:22:04 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Eric L. 2017-07-27 17:36:48 UTC
Upgraded to FC26 last week and the crash still happens every time. Updated bug to file against Pango instead of Gimp, per Josef's suggestion.

Comment 21 Akira TAGOH 2017-08-22 07:14:02 UTC
Is this still reproducible with 1.40.9 say?

Comment 22 Eric L. 2017-08-22 20:09:08 UTC
Every time, yes. "Program terminated with signal SIGSEGV, Segmentation fault." from the backtrace.

Comment 23 sachin 2018-02-21 13:34:56 UTC
@Eric I tested it on F27 and unable to reproduce it. 
can you please provide a list of fonts name you have installed.

Comment 24 Eric L. 2018-02-21 21:22:57 UTC
I still have the same crash. I will upload a fresh copy of my font list, but I don't believe it has changed from the 2017-05-11 upload.

4.14.14-200.fc26.x86_64 #1 SMP Fri Jan 19 13:27:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

Installed Packages
gimp.x86_64             2:2.8.22-2.fc26.3            @updates
pango.i686              1.40.12-1.fc26               @updates
pango.x86_64            1.40.12-1.fc26               @updates

Comment 25 Eric L. 2018-02-21 21:23:23 UTC
Created attachment 1399007 [details]
February 2018 font list

Comment 26 Ben Cotton 2018-11-27 16:18:31 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Ben Cotton 2018-11-30 20:50:45 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.